Bug 522261 - Corruption in glxgears under compiz
Summary: Corruption in glxgears under compiz
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 22:08 UTC by Luis Nabais
Modified: 2018-04-11 09:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:27:08 UTC


Attachments (Terms of Use)
Picture of the glxgears corruption (609.54 KB, image/png)
2009-09-09 22:08 UTC, Luis Nabais
no flags Details
more corruption seen in System Monitor window (276.34 KB, image/png)
2009-09-11 02:08 UTC, Michael Ploujnikov
no flags Details
Screenshot of curruption (8.30 KB, image/png)
2009-11-06 17:30 UTC, Robert Laverick
no flags Details
dmesg output (50.38 KB, text/plain)
2009-11-24 16:53 UTC, Robert Laverick
no flags Details
Xorg.0.log (96.58 KB, text/plain)
2009-11-24 16:54 UTC, Robert Laverick
no flags Details
Xorg.9.log (33.89 KB, text/plain)
2009-11-24 16:54 UTC, Robert Laverick
no flags Details

Description Luis Nabais 2009-09-09 22:08:23 UTC
Created attachment 360359 [details]
Picture of the glxgears corruption

Description of problem:
Some small corruptuion on the glxgears window when running under compiz.


Version-Release number of selected component (if applicable):
glx-utils-7.6-0.11.fc12.x86_64
xorg-x11-drv-ati-6.13.0-0.3.20090908git651fe5a47.fc12.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Enable compiz using System -> Preferences -> Desktop Effects
2. run glxgears
  
Actual results:
glxgears shows but has some tearing on the top of the window

Expected results:
glxgears should show without any tearing

Additional info:
Asus Radeon HD 4770 512mb GDDR5 (RV740)
Smolt: http://www.smolts.org/client/show/pub_e76754cf-debc-4694-9755-61967a0b6c76

Comment 1 Michael Ploujnikov 2009-09-11 02:08:10 UTC
Created attachment 360598 [details]
more corruption seen in System Monitor window

I noticed more corruption on the System Monitor window. Look closely right under the title bar.

Comment 2 Dariusz Garbowski 2009-09-11 04:28:37 UTC
Using Fedora Test Day 09/09/2009 Radeon ISO, I see the same corruption as on attachment https://bugzilla.redhat.com/attachment.cgi?id=360359

HIS Radeon HD 4670 1GB (RV730XT)

# lspci -nn
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV730XT [Radeon HD 4670] [1002:9490]

Smolt:
http://www.smolts.org/client/show/pub_879d3528-7516-4c8f-95eb-740c4361cf6a

Comment 3 Dariusz Garbowski 2009-09-11 04:46:41 UTC
Additional info: this is on i686 platform.

Comment 4 Robert Laverick 2009-09-12 12:04:41 UTC
I see the same on test day 09/09/09 x86_64 image

Radeon HD 4870 X2

I notice that it seems to be a corrup version of the white bars that apear at the bottom if you resize the glxgears window (same white bar pattern)

I also saw that white bar pattern on the top of the cube above the logo once tho not the corrupt flickering version seen on glxgears and I don't have a reliable way to repeat that.

Smolt:
http://www.smolts.org/client/show/pub_bd37038c-9045-45b3-97d7-c7e30508c6bf

Comment 5 Matěj Cepl 2009-11-05 17:15:33 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 6 Luis Nabais 2009-11-06 01:32:12 UTC
I don't see any tearing on current rawhide.

Comment 7 Adam Williamson 2009-11-06 02:11:02 UTC
excellent, let's close it then!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Robert Laverick 2009-11-06 17:30:06 UTC
Created attachment 367853 [details]
Screenshot of curruption

I'm still seeing the corruption with the latest rawhide, tho I should note I'm using mesa-dri-drivers-experimental-7.6-0.13.fc12.x86_64 to get compiz working as this is on an ATI 4870.

Comment 9 Matěj Cepl 2009-11-08 10:40:18 UTC
(In reply to comment #8)
> Created an attachment (id=367853) [details]
> Screenshot of curruption
> 
> I'm still seeing the corruption with the latest rawhide, tho I should note I'm
> using mesa-dri-drivers-experimental-7.6-0.13.fc12.x86_64 to get compiz working
> as this is on an ATI 4870.  

OK, reassigning to mesa component.

Please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 10 Bug Zapper 2009-11-16 12:09:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Robert Laverick 2009-11-24 16:53:19 UTC
Created attachment 373484 [details]
dmesg output

Comment 12 Robert Laverick 2009-11-24 16:54:06 UTC
Created attachment 373485 [details]
Xorg.0.log

Comment 13 Robert Laverick 2009-11-24 16:54:29 UTC
Created attachment 373486 [details]
Xorg.9.log

Comment 14 Robert Laverick 2009-11-24 16:56:19 UTC
I've attached the files you requested, I don't have a xorg.conf file I'm just letting it auto detect everything

Comment 15 Bug Zapper 2010-11-04 10:08:01 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Bug Zapper 2010-12-05 06:27:08 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.